Groovy 1.7.0

## org.codehaus.groovy.runtime
Class SqlGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.SqlGroovyMethods

    class SqlGroovyMethods
    extends Object

This class defines all the new SQL-related groovy methods which enhance the normal JDK SQL classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.

author:
  Paul King

author:
  John Hurst

Nested Class Summary
`class` | `SqlGroovyMethods.ResultSetMetaDataIterator`

Constructor Summary
`SqlGroovyMethods()`

Method Summary
`static Iterator` | `iterator(ResultSetMetaData resultSetMetaData)` Return an Iterator given a ResultSetMetaData.
`static GroovyRowResult` | `toRowResult(ResultSet rs)` Returns a GroovyRowResult given a ResultSet.
`static Timestamp` | `toTimestamp(Date d)` Return a java.sql.Timestamp given a java.util.Date.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SqlGroovyMethods

    SqlGroovyMethods()

Method Detail

### iterator

    public static Iterator iterator(ResultSetMetaData resultSetMetaData)

  Return an Iterator given a ResultSetMetaData. Enables Groovy collection method syntactic sugar on ResultSetMetaData.
  param:
    resultSetMetaData the ResultSetMetaData to iterate over
  return:
    an iterator for the ResultSetMetaData
  since:
    1.7

### toRowResult

    public static GroovyRowResult toRowResult(ResultSet rs)

  Returns a GroovyRowResult given a ResultSet.
  param:
    rs a ResultSet
  return:
    the resulting GroovyRowResult
  throws:
    java.sql.SQLException if a database error occurs
  since:
    1.6.0

### toTimestamp

    public static Timestamp toTimestamp(Date d)

  Return a java.sql.Timestamp given a java.util.Date.
  param:
    d a date
  return:
    the date wrapped as a Timestamp
  since:
    1.6.6

Copyright © 2003-2009 The Codehaus. All rights reserved.